.mx_FederationDecisionDialog {
    padding: 20px;
    align-items: center;
    display: flex;
    flex-direction: column;
    word-wrap: break-word;
    text-align: center;

    .mx_BaseAvatar {
        display: block;
        box-shadow: 48px 0px 0px -4px $bwi-federation-decision-shadow;
        border: 4px solid var(--cpd-color-bg-canvas-default);
    }

    .mx_FederationDecisionDialog_title {
        margin-top: 30px;
        font-weight: 600;
    }

    .mx_FederationDecisionDialog_content {
        margin-top: 30px;
        padding-left: 50px;
        padding-right: 50px;
    }

    .mx_FederationDecisionDialog_buttons {
        margin-top: 120px;
        align-self: end;
        display: flex;
        flex-direction: row;
        gap: 8px;
    }

    &.mx_FederationDecisionDialog_phase_success {
        row-gap: var(--cpd-space-4x);
        padding: 0px;

        .mx_FederationDecisionDialog_success {
            display: flex;
            align-items: center;
            gap: var(--cpd-space-4x);
            padding: var(--cpd-space-3x);

            .mx_FederationDecisionDialog_successIcon {
                width: 44px;
                height: 44px;
            }
        }

        .mx_FederationDecisionDialog_buttons {
            margin-top: 0px;
        }
    }

    &.mx_FederationDecisionDialog_phase_error {
        padding: 0px;
    }
}
